<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>I-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_ID_1001">INGREDIENT_ID_1001</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_ID_1002">INGREDIENT_ID_1002</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_ID_1003">INGREDIENT_ID_1003</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_ID_5001">INGREDIENT_ID_5001</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_ID_5002">INGREDIENT_ID_5002</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_NAME_1001">INGREDIENT_NAME_1001</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_NAME_1002">INGREDIENT_NAME_1002</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html#INGREDIENT_NAME_1003">INGREDIENT_NAME_1003</a></span> - Static variable in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service">AbstractEntityServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity"><span class="typeNameLink">Ingredients</span></a> - Class in <a href="../com/abn/recipe/recipeservice/entity/package-summary.html">com.abn.recipe.recipeservice.entity</a></dt>
<dd>
<div class="block">Entity Class for holding state of Ingredients</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Ingredients.html#%3Cinit%3E()">Ingredients()</a></span> - Constructor for class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Ingredients.html#%3Cinit%3E(java.lang.Long,java.lang.String)">Ingredients(Long, String)</a></span> - Constructor for class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/controller/IngredientsController.html" title="class in com.abn.recipe.recipeservice.controller"><span class="typeNameLink">IngredientsController</span></a> - Class in <a href="../com/abn/recipe/recipeservice/controller/package-summary.html">com.abn.recipe.recipeservice.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/controller/IngredientsController.html#%3Cinit%3E(com.abn.recipe.recipeservice.service.IngredientService)">IngredientsController(IngredientService)</a></span> - Constructor for class com.abn.recipe.recipeservice.controller.<a href="../com/abn/recipe/recipeservice/controller/IngredientsController.html" title="class in com.abn.recipe.recipeservice.controller">IngredientsController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">IngredientsDto</span></a> - Class in <a href="../com/abn/recipe/recipeservice/dto/package-summary.html">com.abn.recipe.recipeservice.dto</a></dt>
<dd>
<div class="block">Data Transfer Object to hold state of Ingredients record</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/IngredientsDto.html#%3Cinit%3E(java.lang.Long,java.lang.String)">IngredientsDto(Long, String)</a></span> - Constructor for class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/service/IngredientService.html" title="interface in com.abn.recipe.recipeservice.service"><span class="typeNameLink">IngredientService</span></a> - Interface in <a href="../com/abn/recipe/recipeservice/service/package-summary.html">com.abn.recipe.recipeservice.service</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/service/IngredientServiceImpl.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">IngredientServiceImpl</span></a> - Class in <a href="../com/abn/recipe/recipeservice/service/package-summary.html">com.abn.recipe.recipeservice.service</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/IngredientServiceImpl.html#%3Cinit%3E(com.abn.recipe.recipeservice.dao.IngredientsRepository)">IngredientServiceImpl(IngredientsRepository)</a></span> - Constructor for class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/IngredientServiceImpl.html" title="class in com.abn.recipe.recipeservice.service">IngredientServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/dao/IngredientsRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">IngredientsRepository</span></a> - Interface in <a href="../com/abn/recipe/recipeservice/dao/package-summary.html">com.abn.recipe.recipeservice.dao</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_PAGE_REQUEST">INVALID_PAGE_REQUEST</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_RECIPE_INGREDIENTS">INVALID_RECIPE_INGREDIENTS</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_RECIPE_INSTRUCTIONS">INVALID_RECIPE_INSTRUCTIONS</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_RECIPE_NAME">INVALID_RECIPE_NAME</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_RECIPE_SERVING_QUANTITY">INVALID_RECIPE_SERVING_QUANTITY</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ErrorType.html#INVALID_REQUEST">INVALID_REQUEST</a></span> - com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a></dt>
<dd>
<div class="block">Error to indicate invalid parameter in request</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#isVegetarian()">isVegetarian()</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
